<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>501.10</title>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
        integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>

</head>

<body>

</body>
<script>
    var v1 = [9900,1,12,3,4,-11,100];
    console.log(task1(v1));

    var v2 = "Dev";
    console.log(task1(v2));

    function task1(x){
        if(Array.isArray(x)){
            return true;
        }
        else{
            return false;
        }
    }

    var v3 = 2;
    console.log(task2(v1,v3));

    function task2(x,y){
        for(var i in x){
            if(i == y){
                return x[i];
            }
        }
        return null;
    }

    console.log(task3(v1));

    function task3(x){
        var min = x[0];
        for(var i = 0; i < (x.length - 1); i++){
            for(var j = i + 1 ; j < x.length ; j ++)
            if(x[i] > x[j]){
                // Hoan vi 2 so a[i] va a[j]
                var tent = x[i];
                x[i] = x[j];
                x[j] = tent;        
            }
        }
        return x;
    }

    var v5 = [9900,1,12,3,4,-11,100];
    var v4 = 9900;
    console.log(task4(v5,v4));

    function task4(x,y){
        for(var i in x){
            if(y == x[i]){
                return i;
            }
        }
        return -1
    }
    
    var v6 = [1,33,222];
    console.log(task5(v5,v6))

    function task5(x,y){
        if(Array.isArray(x) && Array.isArray(y)){
            return x.concat(y);
        }
        else{
            console.log('error');
        }
    }

    var v7 = [44, "dev", -2,33, -100, null, false, true];
    console.log(task6(v7));

    function task6(x){
        return x.filter(item => item);
    }

    var v5 = [2229,1,12,3,4,-11,100];
    var v8 = 2229;
    console.log("Task 7 :" + task7(v5,v8));

    function task7(x,y){
        return x.filter(element => element != y);
    }

    console.log(task8(v5));
    function task8(x,y){
        var rand = x[Math.floor(Math.random() * x.length)];
        return rand;
    }

    var v9= 7;
    var v10 = 100;

    console.log(task9(v9, v10));

    function task9(x,y){
        var m = [];
        for(var i = 0; i < x; i ++){
            m.push(y);
        }
        return m
    }

    var v9= 7;
    var v10 = 9;

    console.log(task10(v9, v10));


    function task10(x,y){
        var m = [];
        for( var i = 0 ; i < y ; i ++){
            m.push(x);
            x = x + 1
        }
        return m;
    }
</script>
</html>